<?php
function kompass_print_checkbox($settingName) {
    $currentSetting = get_option($settingName, []);
	if (!is_array($currentSetting)) {
		$currentSetting = [$currentSetting];
	}

    $options = ['kompass_limit_login_lockout_notify' => [
        'email' => 'E-Mail an Administrator'
        ],
    ];

    if(!isset($options[$settingName])) {
        return;
    }

    $setting = $options[$settingName];
    foreach ($setting as $radioOption => $optionText) {
		$isChecked = in_array($radioOption, $currentSetting) ? 'checked ' : '' ;

        echo '<input ' .
            $isChecked .
            'type="checkbox" 
            name="' . $settingName . '[]" 
            value="' . $radioOption . '"
            id="setting_' . $settingName . '_' . $radioOption . '" />' .
            '<label for="setting_' . $settingName . '_' . $radioOption . '">' . $optionText . '</label><br />';
    }
}
